# Maximum Ingredient Count

The `maxIngredientsCount` object sets the maximum ingredient count per meal. These are optional fields.

### List of Fields

| Field name  | Type |
| ----------- | ---- |
| `breakfast` | Int  |
| `lunch`     | Int  |
| `dinner`    | Int  |
| `snack`     | Int  |

### Example

{% tabs %}
{% tab title="GrapqhQL request" %}

```graphql
 maxIngredientsCount:{
      breakfast:5,
      dinner:5,
      snack:3,
      lunch:6
    }
```

{% endtab %}
{% endtabs %}

Use this object in the following :

* [`generateMealPlan`](https://docs.suggestic.com/graphql/query/mutations/meal-plan/generate-meal-plan)
* [`customMealPlan` ](/graphql/query/mutations/meal-plan/generate-meal-plan.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/meal-plan/maximum-ingredient-count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
